=== debian/changelog ===
ros-foxy-plansys2-executor (1.0.10-1focal) focal; urgency=high

  * Minor update
  * Fix tests
  * Fix rate conversions
  * Add rate parameter
  * Remove node parameter in client constructors
  * ros2-plan-msg: Passing plan to executor to add further separation between plan creation and plan execution.
  * Suggestion for #118 <https://github.com/IntelligentRoboticsLabs/ros2_planning_system/issues/118>
  * pddl-tree-messages: Performing some minor cleanup.
  * pddl-tree-messages: Using explicit specifier for single parameter constructors in plansys2_core/Types.hpp.
  * pddl-tree-messages: Replacing user access function calls with shorter versions where possible.
  * pddl-tree-messages: Adding predicate user access functions to problem expert client.
  * pddl-tree-messages: Adding predicate user access functions to problem expert client.
  * pddl-tree-messages: Applying ament uncrustify.
  * pddl-tree-messages: Updating addInstance and removeInstance calls to use helper classes.
  * pddl-tree-messages: Reverting change to log statement severity.
  * pddl-tree-messages: Removing a couple unnecessary includes.
  * pddl-tree-messages: Merging master and resolving conflicts.
  * action-timeout-clean: Renaming test behavior tree.
  * Using custom behavior tree to enable action timeouts.
  * pddl-tree-messages: Merging upstream master and resolving conflicts.
  * pddl-tree-messages: Using ROS messages to define the PDDL construct trees.
  * Adding action execution status (as color changes) to the plan dotgraph.
    Adding legend to plan dotgraph, adding node params for dotgraph legend and printing plan graph to terminal.
  * Fix tests and linting
  * linting
  * Configurable action BT
  * Configurable BT Action
  * Reducing log message severity because lack of a plan isn't necessarily an error.
  * Reduce debug output
  * Plansys2_tests package
  * Adding unit test for getOrderedSubGoals.
  * Add GetOrderedSubGoals service to Executor, allowing executor clients to get the order in which sub-goals will be completed by the current plan.
  * Update version
  * Contributors: Alexander Xydes, Francisco Martín Rico, Greg Kogut, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-foxy-plansys2-executor (1.0.9-1focal) focal; urgency=high

  * Disable boost in tests
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 14 Mar 2021 23:00:00 -0000

ros-foxy-plansys2-executor (1.0.8-1focal) focal; urgency=high

  * Change default ZMQ ports
  * Removing whitespace.
  * Simplified logic.
  * Update API for FutureReturnCode
  * Handling edge cases of action failure and preventing overriding completion percentage on action completion.
  * Publishing generated plan as a dotgraph on a string topic.
  * Fix BT creation; parallel deps actions
  * Fixing feedback control
  * Action execution refactoring
  * Moving Utils file to plansys2_problem_expert since all the functions are checking information in the problem or modifying the problem.
  * utils-bug: Fixing bug in OR case of evaluate function in plansys2_executor/Utils.cpp.
  * Making zmq error message more generic to reflect that there are multiple possible reasons for a BT::LogicError to be thrown.
  * Add support to plansys2_executor/ExecutorNode for visualizing the behavior trees in Groot.
  * Moving publisher on_activate call to the ExecutorNode::on_activate callback.
  * Add support for numeric conditions and effects.
  * Monitorization info
  * Remove an unreshable return
  * Adding actor checker in terminal
  * Improving BTActions
  * Fix repeated nodes
  * New Graph creation Algorithm
  * Debugging
  * Added negative predicates support
  * Namespaced action_hub
  * Contributors: Alexander Xydes, Fabrice Larribe, Francisco Martin Rico, Greg Kogut, Josh Zapf

 -- Francisco Martin Rico <fmrico@gmail.com>  Thu, 11 Mar 2021 23:00:00 -0000

ros-foxy-plansys2-executor (1.0.7-1focal) focal; urgency=high

  * Making explicit dependencies
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 03 Jan 2021 23:00:00 -0000

ros-foxy-plansys2-executor (1.0.6-1focal) focal; urgency=high

  * Disable boost functions
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Mon, 28 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-executor (1.0.5-1focal) focal; urgency=high

  * Migration to c++17
  * Contributors: Francisco Martín Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sun, 27 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-executor (1.0.4-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 23 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-executor (1.0.3-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-executor (1.0.2-1focal) focal; urgency=high

  * Plan solvers as plugins
  * Contributors: Fabrice Larribe, Francisco Martin Rico, f269858

 -- Francisco Martin Rico <fmrico@gmail.com>  Tue, 22 Dec 2020 23:00:00 -0000

ros-foxy-plansys2-executor (1.0.1-1focal) focal; urgency=high



 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 18 Jul 2020 22:00:00 -0000

ros-foxy-plansys2-executor (1.0.0-1focal) focal; urgency=high

  * Foxy initial version
  * Boost:optional
  * Support for BT actions
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Sat, 18 Jul 2020 22:00:00 -0000

ros-foxy-plansys2-executor (0.0.8-1focal) focal; urgency=high

  * Add BT support
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Fri, 17 Jul 2020 22:00:00 -0000

ros-foxy-plansys2-executor (0.0.7-1focal) focal; urgency=high

  * ActionExecutorClient is cascade_lifecycle
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- Francisco Martin Rico <fmrico@gmail.com>  Wed, 25 Mar 2020 23:00:00 -0000


