=== debian/control ===
Source: ros-foxy-plansys2-executor
Section: misc
Priority: optional
Maintainer: Francisco Martin Rico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libzmq3-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-index-cpp, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-behaviortree-cpp-v3, ros-foxy-lifecycle-msgs, ros-foxy-plansys2-core, ros-foxy-plansys2-domain-expert, ros-foxy-plansys2-msgs, ros-foxy-plansys2-pddl-parser, ros-foxy-plansys2-planner, ros-foxy-plansys2-problem-expert, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-rclcpp-cascade-lifecycle, ros-foxy-rclcpp-lifecycle, ros-foxy-std-msgs, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-plansys2-executor
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libzmq3-dev, ros-foxy-ament-index-cpp, ros-foxy-behaviortree-cpp-v3, ros-foxy-lifecycle-msgs, ros-foxy-plansys2-core, ros-foxy-plansys2-domain-expert, ros-foxy-plansys2-msgs, ros-foxy-plansys2-pddl-parser, ros-foxy-plansys2-planner, ros-foxy-plansys2-problem-expert, ros-foxy-popf, ros-foxy-rclcpp, ros-foxy-rclcpp-action, ros-foxy-rclcpp-cascade-lifecycle, ros-foxy-rclcpp-lifecycle, ros-foxy-std-msgs, ros-foxy-ros-workspace
Description: This package contains the Executor module for the ROS2 Planning System
